{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}

    {% endblock %}
{% endblock %}
{% block cuerpo %}  
<div class="x_panel">
    <div class="x_title">
      <h2>LISTA DE TIPOS DE AUDITOR <small>GESTION 2021 <a href="#" class="btn btn-primary btn-xs" onclick="document.formactividad.nombre_etapa.value='PLANIFICACION'; document.formactividad.id_etapa.value='1';" data-toggle="modal" data-target=".bs-example-modal-lg"><i class="fa fa-plus"></i></a></small></h2>
      <ul class="nav navbar-right panel_toolbox">
        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
        </li>
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
          <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <a class="dropdown-item" href="#">Settings 1</a>
              <a class="dropdown-item" href="#">Settings 2</a>
            </div>
        </li>
        <li><a class="close-link"><i class="fa fa-close"></i></a>
        </li>
      </ul>
      <div class="clearfix"></div>
    </div>
    <div class="x_content">
        <table  id="datatable-responsive"
        class="table table-striped table-bordered dt-responsive nowrap"
        cellspacing="0" width="100%">
    <thead>
        <th>ID</th>
        <th>NOMBRE TIPO DE AUDITOR</th>
        <th>INSTITUCION</th>
        <th></th>
    </thead>
    <tbody>
        {% for tipoauditor in object_list %}
        <tr>
            <td>{{ tipoauditor.id }}</td>
            <td>{{ tipoauditor.nombre_tipoauditor }}</td>            
            <td>{{ tipoauditor.institucion.nombre_institucion }}</td>            
            <td><a href='{% url "modificar_tipoauditor" tipoauditor.id %}' class="btn btn-success btn-xs"><i class="fa fa-edit"></i></a><a href='{% url "eliminar_tipoauditor" tipoauditor.id %}' class="btn btn-danger btn-xs"><i class="fa fa-trash"></i></a></td>
        </tr>
       {% endfor %}
           
    </tbody>    
</table>
{{action}}
<a href="{{ create_url }}" class="btn btn-primary btnTest"><i
    class="fa fa-plus"></i> Nuevo registro</a>
<a href="{{ list_url }}" class="btn btn-success btnTest"><i
    class="fa fa-refresh"></i> Actualizar</a>
    </div>
  </div>


{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        $(function () {
            $('#datatable-responsive').DataTable({
                "destroy": true,
                "scrollX": true,
                "language": {
                    "sSearch": "Buscar",
                    "oPaginate": {
                      "sFirst": "Primero",
                      "sLast": "Último",
                      "sNext": "Siguiente",
                      "sPrevious": "Anterior"
                    },
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
{% endblock %}